Subject: Re: bug#64252: 29.0.91; pixel-scroll-precision-mode scrolling jumps with large images

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jun 2023 17:56:59 +0300

> Date: Fri, 23 Jun 2023 16:18:31 +0200
> From:  Rahguzar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> As far as I can tell this is not limited to pixel-scroll-precision mode
> and is part of Emacs scrolling behavior, but in
> 
> https://lists.gnu.org/archive/html/help-gnu-emacs/2023-06/msg00199.html
> 
> Eli said that pixel-scroll-precision-mode can handle this scenario but
> in my testing it cannot.

I said that pixel-scroll-precision-mode can vscroll a window when
there's an image in the window, something you claimed there you cannot
make Emacs do.

> As far as I can tell in Emacs partial scrolling
> works well if there is either 1) a line that is completely visible in
> the window or 2) a line that is bigger than the window. However when
> both of the these conditions are not satisfied it is only possible to
> scroll in line sized jumps.

Why is that a problem?  You describe some behavior in some specific
situation, but don't say why it's a problem we need to investigate,
let alone fix.